Skip to main content
Infrastructure/OTA Versions & Policies

GetCompatibilityMatrix

Get Compatibility Matrix

GET/api/v1/ota/versions/compatibility

Operation ID

GetCompatibilityMatrix

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • fromVersion
    String

    Source version to check upgrade compatibility from

  • toVersion
    String

    Target version to check upgrade compatibility to

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • fromVersion
    String

    Source version being evaluated for upgrade compatibility

    Example: 1.2.0

  • toVersion
    String

    Target version being evaluated for upgrade compatibility

    Example: 1.3.0

  • compatible
    Boolean

    Whether a direct upgrade from from_version to to_version is supported

    Example: true

  • reason
    String

    Human-readable explanation of the compatibility determination

    Example: Direct upgrade is supported

  • upgradePath
    List

    Upgrade path

    Example: item1,item2